API Reference
API Reference
Operate-focused Partner contract (v1). Open an operation in the Playground to try it live.
Getting started
Introspect the API key and confirm tenant workspace.
Agents
List existing agents to obtain an agent_id before starting a call.
Conversations
Start a call with an existing agent, then fetch status, transcript, recording, and intent-filter extraction.
POST
/conversations
Start conversation with agent
GET /conversations
List conversations
GET /conversations/{id}
Get conversation
GET /conversations/{id}/transcript
Get conversation transcript
GET /conversations/{id}/recording
Get conversation recording metadata
GET /conversations/{id}/extraction
Get intent filter extraction
Webhooks
Per-tenant outbound endpoints with HMAC signing.
GET
/webhook-endpoints
List webhook endpoints
POST /webhook-endpoints
Create webhook endpoint
PATCH /webhook-endpoints/{id}
Update webhook endpoint
DELETE /webhook-endpoints/{id}
Delete webhook endpoint
GET /webhook-endpoints/{id}/deliveries
List deliveries
GET /webhook-endpoints/{id}/deliveries/{delivery_id}
Get delivery
POST /webhook-endpoints/{id}/rotate-secret
Rotate signing secret
POST /webhook-endpoints/{id}/test
Send test delivery